Message Queue Queues
GET/api/v1/mq/queues
Authorization
bearer_token In: header
Query Parameters
Page number (1-indexed)
int640 <= valuePage size (max 100)
int640 <= valueSort by field (e.g., "name", "-created_at")
Search query for queue name
Response Body
application/json
curl -X GET "https://example.com/api/v1/mq/queues"{ "pagination": { "has_more": true, "page": 0, "page_size": 0, "total": 0 }, "queues": [ { "approximate_message_count": 0, "approximate_not_visible_count": 0, "created_at": "2019-08-24T14:15:22Z", "name": "string", "queue_id": "string", "subscriptions": [ "string" ] } ]}POST/api/v1/mq/queues
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to create a new queue
Response Body
application/json
curl -X POST "https://example.com/api/v1/mq/queues" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "dead_letter_queue": "string", "delay_seconds": 0, "fifo": true, "max_receive_count": 0, "message_retention_minutes": 0, "name": "string", "queue_id": "string", "visibility_timeout_seconds": 0}GET/api/v1/mq/queues/{queue_name}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/mq/queues/string"{ "created_at": "2019-08-24T14:15:22Z", "dead_letter_queue": "string", "delay_seconds": 0, "fifo": true, "max_receive_count": 0, "message_retention_minutes": 0, "name": "string", "queue_id": "string", "statistics": { "approximate_delayed_count": 0, "approximate_message_count": 0, "approximate_not_visible_count": 0, "oldest_message_age_seconds": 0 }, "subscriptions": [ { "filter_policy": null, "subscribed_at": "2019-08-24T14:15:22Z", "topic_name": "string" } ], "updated_at": "2019-08-24T14:15:22Z", "visibility_timeout_seconds": 0}DELETE/api/v1/mq/queues/{queue_name}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/api/v1/mq/queues/string"{ "message": "string"}POST/api/v1/mq/queues/{queue_name}/purge
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X POST "https://example.com/api/v1/mq/queues/string/purge"{ "messages_purged": 0}